Update a volume

This call updates the details of a specific volume.

Learn more about using the Volumes API for Amazon S3 and for Google Cloud Storage.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

If you are using Seven Bridges Platform EU, please use the following endpoint: https://eu-api.sbgenomics.com/v2/storage/volumes/{volume_owner}/{volume_name}

Example request body

{
  "description": null,
  "service": {
    "properties": {
      "sse_algorithm": "AES256"
    }
  },
}

Response

See a list of Seven Bridges Platform-specific response codes that may be contained in the body of the response .

Response body

The response object contains information about the specified volume. The information is structured using the following key-value pairs:

KeyData type of valueDescription of value
activeBooleanIf a volume is deactivated, this field will be set to false
idStringID of this volume, containing volume_owner/volume_name.
nameStringName of the volume.
descriptionStringThe description of this volume.
serviceObjectThis object more closely describes the mapping of the volume to the cloud service where the data is stored.
created_onStringThe date and time this volume was created.
modified_onStringThe date and time this volume was last modified.
👍

Note that you cannot view volumes that you have created via the visual interface. However, you can see all your volumes by making the call to list volumes.

Path Params
string
required

Username of the volume owner.

string
required

The name of the volume you want to update.

Body Params
string
Defaults to RW

Signifies whether this volume should be used for read-write ("RW") or read-only ("RO") operations. The access mode is consulted independently of the credentials granted to Seven Bridges when the volume was created, so it is possible to use a read-write credentials to register both read-write and read-only volumes using it. default: "RW"

string

An optional description of this volume.

service
object

This object should contain the information about the cloud service that this volume represents.

Headers
string
required

Your Seven Bridges Platform authentication token. For security reasons, token will not be automatically populated in the generated code sample. Please replace <your-token-here> with your token before executing this call.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json